This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1294645 - [abrt] plasma-workspace: qt_message_fatal(): krunner killed by SIGABRT
[abrt] plasma-workspace: qt_message_fatal(): krunner killed by SIGABRT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: plasma-workspace (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: KDE SIG
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:281a29572ec8c6eabe7f3615aee...
:
: 1335289 1356236 1357445 1361834 1392246 1393990 1408194 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-29 07:25 EST by Mustafa Muhammad
Modified: 2017-08-08 08:36 EDT (History)
36 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:36:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (25.08 KB, text/plain)
2015-12-29 07:25 EST, Mustafa Muhammad
no flags Details
File: cgroup (362 bytes, text/plain)
2015-12-29 07:25 EST, Mustafa Muhammad
no flags Details
File: core_backtrace (4.73 KB, text/plain)
2015-12-29 07:25 EST, Mustafa Muhammad
no flags Details
File: dso_list (14.12 KB, text/plain)
2015-12-29 07:25 EST, Mustafa Muhammad
no flags Details
File: environ (2.02 KB, text/plain)
2015-12-29 07:25 EST, Mustafa Muhammad
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-29 07:25 EST, Mustafa Muhammad
no flags Details
File: maps (61.27 KB, text/plain)
2015-12-29 07:25 EST, Mustafa Muhammad
no flags Details
File: mountinfo (3.18 KB, text/plain)
2015-12-29 07:25 EST, Mustafa Muhammad
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-29 07:25 EST, Mustafa Muhammad
no flags Details
File: open_fds (137 bytes, text/plain)
2015-12-29 07:25 EST, Mustafa Muhammad
no flags Details
File: proc_pid_status (1.17 KB, text/plain)
2015-12-29 07:25 EST, Mustafa Muhammad
no flags Details
File: var_log_messages (304 bytes, text/plain)
2015-12-29 07:25 EST, Mustafa Muhammad
no flags Details

  None (edit)
Description Mustafa Muhammad 2015-12-29 07:25:15 EST
Version-Release number of selected component:
plasma-workspace-5.5.1-1.fc24

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        krunner
crash_function: qt_message_fatal
executable:     /usr/bin/krunner
global_pid:     8295
kernel:         4.4.0-0.rc6.git1.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 qt_message_fatal at global/qlogging.cpp:1610
 #3 QMessageLogger::fatal at global/qlogging.cpp:784
 #4 QXcbConnection::QXcbConnection at qxcbconnection.cpp:559
 #5 QXcbIntegration::QXcbIntegration at qxcbintegration.cpp:177
 #6 QXcbIntegrationPlugin::create at qxcbmain.cpp:50
 #7 loadIntegration at kernel/qplatformintegrationfactory.cpp:56
 #8 QPlatformIntegrationFactory::create at kernel/qplatformintegrationfactory.cpp:73
 #9 init_platform at kernel/qguiapplication.cpp:1032
 #10 QGuiApplicationPrivate::createPlatformIntegration at kernel/qguiapplication.cpp:1199
 #11 QGuiApplicationPrivate::createEventDispatcher at kernel/qguiapplication.cpp:1216

Potential duplicate: bug 1236181
Comment 1 Mustafa Muhammad 2015-12-29 07:25:23 EST
Created attachment 1110178 [details]
File: backtrace
Comment 2 Mustafa Muhammad 2015-12-29 07:25:24 EST
Created attachment 1110179 [details]
File: cgroup
Comment 3 Mustafa Muhammad 2015-12-29 07:25:26 EST
Created attachment 1110180 [details]
File: core_backtrace
Comment 4 Mustafa Muhammad 2015-12-29 07:25:28 EST
Created attachment 1110181 [details]
File: dso_list
Comment 5 Mustafa Muhammad 2015-12-29 07:25:29 EST
Created attachment 1110182 [details]
File: environ
Comment 6 Mustafa Muhammad 2015-12-29 07:25:31 EST
Created attachment 1110183 [details]
File: limits
Comment 7 Mustafa Muhammad 2015-12-29 07:25:34 EST
Created attachment 1110184 [details]
File: maps
Comment 8 Mustafa Muhammad 2015-12-29 07:25:35 EST
Created attachment 1110185 [details]
File: mountinfo
Comment 9 Mustafa Muhammad 2015-12-29 07:25:37 EST
Created attachment 1110186 [details]
File: namespaces
Comment 10 Mustafa Muhammad 2015-12-29 07:25:39 EST
Created attachment 1110187 [details]
File: open_fds
Comment 11 Mustafa Muhammad 2015-12-29 07:25:40 EST
Created attachment 1110188 [details]
File: proc_pid_status
Comment 12 Mustafa Muhammad 2015-12-29 07:25:42 EST
Created attachment 1110189 [details]
File: var_log_messages
Comment 13 Mustafa Muhammad 2016-02-24 04:19:59 EST
Similar problem has been detected:

This happened in a wayland session

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/libexec/drkonqi --appname kdeinit5 --kdeinit --apppath /usr/bin --signal 11 --pid 1865 --startupid 0 --restarted
crash_function: qt_message_fatal
executable:     /usr/libexec/drkonqi
global_pid:     3365
kernel:         4.5.0-0.rc3.git0.1.fc24.x86_64
package:        plasma-workspace-drkonqi-5.5.4-2.fc24
reason:         drkonqi killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Jan Kurik 2016-02-24 09:11:06 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 15 Sylvain Réault 2016-05-11 15:16:13 EDT
*** Bug 1335289 has been marked as a duplicate of this bug. ***
Comment 16 Rex Dieter 2016-05-11 15:46:33 EDT
from comment #1 backtrace:

#3  QMessageLogger::fatal (this=this@entry=0x7ffd91deb990, msg=msg@entry=0x7fd55c0d6ef0 "QXcbConnection: Could not connect to display %s") at global/qlogging.cpp:784


Though there is no single explanation for "could not connect to display", unfortunately.
Comment 17 Marcel 2016-06-23 04:04:31 EDT
Similar problem has been detected:

I'm not sure, but I think i logged out and lin again

reporter:       libreport-2.7.1
backtrace_rating: 4
cmdline:        /usr/libexec/drkonqi -platform xcb -display :0 --appname kdeinit5 --kdeinit --apppath /usr/bin --signal 11 --pid 1413 --startupid 0 --restarted
crash_function: qt_message_fatal
executable:     /usr/libexec/drkonqi
global_pid:     4149
kernel:         4.5.7-300.fc24.x86_64
package:        plasma-workspace-drkonqi-5.6.4-1.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         drkonqi killed by SIGABRT
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1001
Comment 18 LarryO 2016-07-13 15:03:32 EDT
*** Bug 1356236 has been marked as a duplicate of this bug. ***
Comment 19 David W. Legg 2016-07-16 12:21:24 EDT
Similar problem has been detected:

Just logged in with autologin enabled.

reporter:       libreport-2.7.1
backtrace_rating: 4
cmdline:        /usr/libexec/drkonqi -platform xcb -display :0 --appname akonadi_followupreminder_agent --apppath /usr/bin --signal 11 --pid 2039 --startupid 0
crash_function: qt_message_fatal
executable:     /usr/libexec/drkonqi
global_pid:     2430
kernel:         4.6.3-300.fc24.x86_64
package:        plasma-workspace-drkonqi-5.6.5-2.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         drkonqi killed by SIGABRT
reproducible:   Not sure how to reproduce the problem
runlevel:       unknown
type:           CCpp
uid:            1001
Comment 20 Samuel Lee 2016-07-18 04:53:19 EDT
*** Bug 1357445 has been marked as a duplicate of this bug. ***
Comment 21 LarryO 2016-07-18 08:54:19 EDT
Similar problem has been detected:

Opened menus in LibreOffice Calc.

reporter:       libreport-2.7.1
backtrace_rating: 4
cmdline:        /usr/libexec/drkonqi -platform xcb -display :0 --appname kdeinit5 --kdeinit --apppath /usr/bin --signal 11 --pid 2745 --startupid 0 --restarted
crash_function: qt_message_fatal
executable:     /usr/libexec/drkonqi
global_pid:     18494
kernel:         4.6.3-300.fc24.x86_64
package:        plasma-workspace-drkonqi-5.6.5-2.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         drkonqi killed by SIGABRT
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            101416
Comment 22 mistylinux 2016-07-30 22:32:28 EDT
*** Bug 1361834 has been marked as a duplicate of this bug. ***
Comment 23 David W. Legg 2016-07-31 04:36:30 EDT
Similar problem has been detected:

Tried to add a new panel to second screen.
Everything froze.

reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        /usr/libexec/drkonqi -platform xcb -display :0 --appname akonadi_notes_agent --apppath /usr/bin --signal 11 --pid 2862 --startupid 0
crash_function: qt_message_fatal
executable:     /usr/libexec/drkonqi
global_pid:     3591
kernel:         4.6.4-301.fc24.x86_64
package:        plasma-workspace-drkonqi-5.7.2-1.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         drkonqi killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1001
Comment 24 Bruno Gambarini 2016-11-06 14:17:08 EST
*** Bug 1392246 has been marked as a duplicate of this bug. ***
Comment 25 aannoaanno 2016-11-10 13:50:23 EST
*** Bug 1393990 has been marked as a duplicate of this bug. ***
Comment 26 klaus 2016-12-22 07:26:55 EST
*** Bug 1408194 has been marked as a duplicate of this bug. ***
Comment 27 Fedora End Of Life 2017-07-25 15:41:40 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 28 Fedora End Of Life 2017-08-08 08:36:00 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.